
Foreman - Bug #1965

Smart Class Parameters: Override Value should behave like default value

11/22/2012 03:43 AM - Florian Sachs

Status: Closed   

Priority: Normal   

Assignee: Joseph Magen   

Category: Web Interface   

Target version: 1.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Hi,

In Smart Class Parameters, the "Override Value for Specific Host" - Input-type should by a textarea like the input-type for default

value.

For the default value, it is possible to be of type "hash" and paste a yaml. When overriding, It is actually possible to use json, but you

loose readability.

Thanx,

florian

ForemanVersion: 1.0.1-7 - RPM Package from 2012-11-21, devel-yum repository - everything installed via rpm

Platform: RedHat 6.3 x86_64

Postgresql: 9.2

Puppet: 3.0.1

Associated revisions

Revision 01a0d713 - 12/18/2012 06:41 AM - Joseph Magen

fixes #1965 override value to textarea

History

#1 - 12/18/2012 04:52 AM - Joseph Magen

- Status changed from New to Ready For Testing

I submitted a pull request

https://github.com/theforeman/foreman/pull/314

#2 - 12/18/2012 06:40 AM - Ohad Levy

- Category set to Web Interface

- Assignee set to Joseph Magen

- Target version set to 1.1

#3 - 12/18/2012 08:25 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 01a0d713df455d40c72459491169484a4d296a77.
